#!/bin/bash
#
# 08/10/2013 Updated to add detection for tomcat verstion (RA)
# 14/02/2014 Updated to copy cache.xml from old location to new config dir (RA)

source /backups/patch/funcs.sh
source /backups/patch/settings.sh

check_tomcat_version() {
 if test -f /etc/rc.d/init.d/tomcat5; then
  TOMCAT=tomcat5; fi
 if test -f /etc/rc.d/init.d/tomcat; then
  TOMCAT=tomcat; fi
 if test ! $TOMCAT; then
  echo "Unable to detect the vesion of tomcat installed."
  echo "Exiting..."
  exit; fi
}

update_tomcat_conf() {
 echo "Synergising menu"
 # v2
 sed -i '/Connector/s/sslProtocol="[^"]*"/sslEnabledProtocols="TLSv1,TLSv1.1,TLSv1.2,SSLv2Hello"/' $SCRIPT_FOLDER/smenu
 perl -i -0pe's/ciphers="[^"]*"/ciphers="TLS_RSA_WITH_AES_128_CBC_SHA"/g' $SCRIPT_FOLDER/smenu
 # v2.1
 cp py_http_swap $SCRIPT_FOLDER

 echo "Updating tomcat configuration"
 # swaps http and https, so we toggle it twice for each port
 $PATCHBASE/py_http_swap $TOMCAT_CONF 8080
 $PATCHBASE/py_http_swap $TOMCAT_CONF 8080
 $PATCHBASE/py_http_swap $TOMCAT_CONF 8443
 $PATCHBASE/py_http_swap $TOMCAT_CONF 8443

 echo "Restarting Tomcat"
 service $TOMCAT restart
}

appliance_type
heading "Upgrading Swivel"
check_tomcat_version
appliance_version
warning
update_tomcat_conf
cleanup
echo; read -p "Press Return to continue" yn
